import request from '@/utils/request'

// 查询专业线列表
export function listPdEnrolldataEnterProfession(query) {
  return request({
    url: '/back/pdEnrolldataEnterProfession/list',
    method: 'get',
    params: query
  })
}

// 查询专业线详细
export function getPdEnrolldataEnterProfession(id) {
  return request({
    url: '/back/pdEnrolldataEnterProfession/' + id,
    method: 'get'
  })
}

// 新增专业线
export function addPdEnrolldataEnterProfession(data) {
  return request({
    url: '/back/pdEnrolldataEnterProfession',
    method: 'post',
    data: data
  })
}

// 修改专业线
export function updatePdEnrolldataEnterProfession(data) {
  return request({
    url: '/back/pdEnrolldataEnterProfession',
    method: 'put',
    data: data
  })
}

// 删除专业线
export function delPdEnrolldataEnterProfession(id) {
  return request({
    url: '/back/pdEnrolldataEnterProfession/' + id,
    method: 'delete'
  })
}
